> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update SIP registration

> Create a new SIP registration or update the existing registration for the authenticated account.



## OpenAPI

````yaml post /api/v2/sip/registration
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/sip/registration:
    post:
      tags:
        - SIP
      summary: Create or update SIP registration
      description: >-
        Create a new SIP registration or update the existing registration for
        the authenticated account.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                aor:
                  description: Full SIP Address of Record
                  type: string
                  example: 1001@sip.example.com
                username:
                  description: SIP username
                  type: string
                  example: '1001'
                authUsername:
                  description: SIP auth username (Authorization header)
                  type: string
                  example: auth-1001
                password:
                  description: SIP password
                  type: string
                  example: supersecret
                sipRealm:
                  description: SIP realm / domain
                  type: string
                  example: sip.example.com
                proxy:
                  description: Outbound proxy
                  type: string
                  example: sip.example.com:5061
                port:
                  description: Registration port
                  type: number
                  example: 5060
                transport:
                  description: Transport protocol
                  type: string
                  example: TLS
                subscribe:
                  description: Whether to subscribe for presence
                  type: boolean
                  example: false
      responses:
        '200':
          description: Registration updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Registration updated successfully
        '201':
          description: Registration created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Registration created successfully
        '400':
          description: Invalid registration payload
        '401':
          description: Unauthorized Request
        '409':
          description: Duplicate AOR
        '500':
          description: Failed to add/update registration
        '502':
          description: Bad Gateway
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````